org.apache.hadoop.hdfs

## Class CannotObtainBlockLengthException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.hdfs.CannotObtainBlockLengthException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class CannotObtainBlockLengthException
      extends IOException

  This exception is thrown when the length of a LocatedBlock instance can not be obtained.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannotObtainBlockLengthException()`
    `CannotObtainBlockLengthException(org.apache.hadoop.hdfs.protocol.LocatedBlock locatedBlock)` Constructs an `CannotObtainBlockLengthException` with the specified LocatedBlock that failed to obtain block length.
    `CannotObtainBlockLengthException(org.apache.hadoop.hdfs.protocol.LocatedBlock locatedBlock, String src)` Constructs an `CannotObtainBlockLengthException` with the specified LocatedBlock and file that failed to obtain block length.
    `CannotObtainBlockLengthException(String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotObtainBlockLengthException

          public CannotObtainBlockLengthException()

    - #### CannotObtainBlockLengthException

          public CannotObtainBlockLengthException(String message)

    - #### CannotObtainBlockLengthException

          public CannotObtainBlockLengthException(org.apache.hadoop.hdfs.protocol.LocatedBlock locatedBlock)

      Constructs an `CannotObtainBlockLengthException` with the specified LocatedBlock that failed to obtain block length.
      Parameters:
        `locatedBlock` - The LocatedBlock instance which block length can not be obtained

    - #### CannotObtainBlockLengthException

          public CannotObtainBlockLengthException(org.apache.hadoop.hdfs.protocol.LocatedBlock locatedBlock,
                                                  String src)

      Constructs an `CannotObtainBlockLengthException` with the specified LocatedBlock and file that failed to obtain block length.
      Parameters:
        `locatedBlock` - The LocatedBlock instance which block length can not be obtained
        `src` - The file which include this block

Copyright © 2022 Apache Software Foundation. All rights reserved.